<?php
if (defined('INDEX_LOADED') === false) {
    die('[error] direct access denied');
}

// shorthands
define('DS', DIRECTORY_SEPARATOR);
define('PS', PATH_SEPARATOR);

// The benefit of a switch-statement is twofold:
// On the one hand you can define server specific settings.
// On the other hand, it is valid for all hostnames in the sense that this file itself is not
// server specific by the way it is set up. This makes it possible to version this file and
// safely push it to another environment without having to worry it will overwrite server
// specific settings.
switch ($_SERVER['HTTP_HOST']) {
    // localhost, virtual host or some domain name
    case '[YOUR_HOST_HERE]':
        // CFG_PATH should contain the absolute path to your config file
        define('CFG_PATH', '');
        // APP_PATH should contain the absolute path to your class directory (no trailing slash)
        define('APP_PATH', '');
    break;

    case '[ANOTHER_HOST]':
        define('CFG_PATH', '');
        define('APP_PATH', '');
    break;

    default:
        die('[error] unknown host');
}