<?php
// GLOBAL SETTINGS
// For development.
$config->developerIPs = array(
    '127.0.0.1',
    // Add external IPs here
);

// Report and display errors?
if (in_array(Helper::getIp(), $config->developerIPs)) {
    error_reporting(E_ALL);
    ini_set('display_errors', 'stdout');
} else {
    ini_set('display_errors', false); // will not catch fatal errors, though
}

// HOST NAME SPECIFIC SETTINGS
switch ($_SERVER['HTTP_HOST']) {
    case '[YOUR_HOST_HERE]':
        // Are we online?
        $config->online = true;
        $config->database = array(
            'host'      => '127.0.0.1', // usually localhost, but always us an IP address
            'port'      => '3306',      // default 3306
            'user'      => '',
            'password'  => '',
            'database'  => '',
            'charset'   => 'utf8',      // default utf8
            'options'   => array(
                PDO::ATTR_ERRMODE                   => PDO::ERRMODE_EXCEPTION,  // exception error handling
                PDO::ATTR_EMULATE_PREPARES          => true,                    // no native MySQL prepared statement
                PDO::ATTR_DEFAULT_FETCH_MODE        => PDO::FETCH_ASSOC,        // default fetch method
                PDO::MYSQL_ATTR_USE_BUFFERED_QUERY  => true,                    // use buffered queries
            ),
        ); // database
        // Output buffering callback function, note that this ONLY applies to the top layer of output buffering.
        $config->obOutputCallback = 'ob_gzhandler'; // NULL for none
        // The external relative base URL.
        $config->relativeURL = '';                  // empty for none, no trailing slash
        $config->defaultPath = 'default';           // default path (class) to load
    break;

    case '[ANOTHER_HOST]':
        $config->online = true;
        $config->database = array(
            'host'      => '127.0.0.1',
            'port'      => '3306',
            'user'      => '',
            'password'  => '',
            'database'  => '',
            'charset'   => 'utf8',
            'options'   => array(
                PDO::ATTR_ERRMODE                   => PDO::ERRMODE_EXCEPTION,
                PDO::ATTR_EMULATE_PREPARES          => true,
                PDO::ATTR_DEFAULT_FETCH_MODE        => PDO::FETCH_ASSOC,
                PDO::MYSQL_ATTR_USE_BUFFERED_QUERY  => true,
            ),
        );
        $config->obOutputCallback = 'ob_gzhandler';
        $config->relativeURL = '';
        $config->defaultPath = 'default';
    break;

    default:
        die('[error] unknown host');
}