<?php
// This class contains various helper functions (static methods).
class Helper
{
    // Output escaping in HTML context.
    static public function escape($in) {
        return htmlspecialchars($in, ENT_QUOTES, 'UTF-8');
    }

    // The magic incantation for determining ones IP address.
    // @todo IPv6
    static public function getIp() {
        if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
            $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
        } elseif (!empty($_SERVER['HTTP_CLIENT_IP'])) {
            $ip = $_SERVER['HTTP_CLIENT_IP'];
        } else {
            $ip = $_SERVER['REMOTE_ADDR'];
        }
        return $ip;
    }

    // Generates a (semi) random token.
    static public function getRandomToken() {
        return hash('sha256', uniqid(mt_rand(), true)); // 64 chars long
    }

    static public function isIndex($in) {
        return preg_match('#^[1-9][0-9]*$#', $in) === 1;
    }
}