<?php
// This is the default page (type) that is loaded upon entering the website.
// The default page (class) to be loaded can be changed through the configuration.
class Page_Default extends Page
{
    protected function init() {
        if (in_array($this->action, array(
            'noOutput',
            'jsonOutput',
        ))) {
            $this->showOutput = false;
        }
    }

    // Default action that is executed if no action is specified.
    protected function actionDefault() {
        $userName = $this->user->isLoggedIn() ? $this->user->name : 'World';
        $this->setTitle('Hello '.$userName);

        ?><h1>Hello <?php echo $this->escape($userName) ?></h1>
        <p><?php
            if ($this->user->isLoggedIn()) {
                ?><a href="<?php echo $this->escape($this->link('login', array('action' => 'logout'))) ?>">logout</a><?php
            } else {
                ?><a href="<?php echo $this->escape($this->link('register')) ?>">register</a> |
                <a href="<?php echo $this->escape($this->link('login')) ?>">login</a><?php
            }
        ?></p><?php
    }

    // This action only prints this line and does not produce further output.
    protected function actionNoOutput() {
        ?>no output<?php
    }

    // This action does not produce HTML output, but JSON instead.
    protected function actionJsonOutput() {
        header('Content-Type: application/json; charset=UTF-8');
        echo json_encode(array(
            'hello' => 'world',
        ));
    }
}