<?php
header('Content-Type: text/html; charset=UTF-8');
clearstatcache();
?>
<!DOCTYPE html>
<html>
<head>
<title>Installation</title>
<style type="text/css">
body        { font-family: sans-serif; font-size: 12pt; margin: 25px; }
.attention  { color: #ff0000; }
pre         { background-color: #f0f0f0; padding: 5px; }
</style>
</head>

<body>
<h1>Installation procedure</h1>
<p>Create a database + table and copy paste the below values in your configuration files.</p>
<p class="attention">Remove this file upon completion.</p>

<h2>Database</h2>
<p>Obviously, replace [database], [user], [ip] (127.0.0.1 for localhost) and [password] with suitable values.</p>
<pre>CREATE DATABASE [database] DEFAULT CHARSET=utf8;</pre>
<pre>GRANT ALL ON [database].* TO [user]@[ip] IDENTIFIED BY '[password]';</pre>
<pre>FLUSH PRIVILEGES;</pre>
<p class="attention">Optionally switch to this database with USE [database]</p>
<pre>CREATE TABLE `users` (
  `usr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_name` varchar(100) NOT NULL,
  `usr_password` varchar(64) NOT NULL,
  `usr_password_salt` varchar(64) NOT NULL,
  `usr_email` varchar(255) NOT NULL,
  PRIMARY KEY (`usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;</pre>

<h2>Configuration</h2>
<h3>0. Determine your host</h3>
<p>Put the below value in the [YOUR_HOST_HERE] parts.</p>
<p class="attention"><?php echo $_SERVER['HTTP_HOST'] ?></p>

<h3>1. root .htaccess (/.htaccess)</h3>
<p class="attention">RewriteBase <?php echo dirname($_SERVER['REQUEST_URI']) ?>/</p>

<h3>2. Constants (/constants.php)</h3>
<p class="attention">CFG_PATH <?php echo getcwd().DIRECTORY_SEPARATOR.'core'.DIRECTORY_SEPARATOR.'config.php' ?></p>
<p class="attention">APP_PATH <?php echo getcwd().DIRECTORY_SEPARATOR.'lib' ?></p>

<h3>3. Configuration (/core/config.php)</h3>
<p class="attention">database user, password and database (name): whatever you decided to use in the Database step above.</p>
<p class="attention">relativeURL <?php echo dirname($_SERVER['REQUEST_URI']) ?></p>

<h2>Test</h2>
<p>Click <a href="<?php echo dirname($_SERVER['REQUEST_URI']) ?>">here</a> to go to the homepage, you should get a &quot;Hello World&quot; page.</p>
<p class="attention">Do not forget to remove this file.</p>
</body>
</html>